// Administrador
// Oyente nueva carrucel
$(document).ready(function () {
  $("#nueva_carrucel").click(function (e) {
    nueva_carrucel();
  });
});

var _TOKEN = document.getElementsByName("csrf-token")[0].content;

// Administrador
// Mostrar el formulario para agregar una imagen al carrucel
function nueva_carrucel() {
  mp();
  $.ajax({
    url: "/admin/carrusel/create",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}

// Administrador
// Manda las imagenes al metodo store para guardarlas
function cargar_imagen(f) {
  if (!f.checkValidity()) {
    msj("Carrusel", "Por favor completa los campos", "error");
  } else {
    mp();
    var formData = new FormData(f);
    $.ajax({
      url: "/admin/carrusel",
      type: "POST",
      headers: { "X-CSRF-TOKEN": _TOKEN },
      dataType: "json",
      data: formData,
      processData: false, // tell jQuery not to process the data
      contentType: false, // tell jQuery not to set contentType,
    })
      .done(function (json) {
        if (json.estado == "success") {
          //msj('Carrusel',json.mensaje,json.estado);
          listar_carrusel();
        }
        msj("Carrusel", json.mensaje, json.estado);
      })
      .fail(function () {
        console.log("error");
      })
      .always(function () {
        console.log("complete");
        op();
      });
  }
}
// Administrador
// Se en carga de mostrar la caja de url o la de documetos
function entrada(id) {
  //documentos
  //url

  var doc = document.getElementById("div-documento");
  var url = document.getElementById("div-url");
  if (id == 2) {
    doc.style.display = "none";
    url.style.display = "block";
    document.getElementById("documentos").value = "";
    document.getElementById("documentosT").value = "";
  } else {
    url.style.display = "none";
    doc.style.display = "block";
    document.getElementById("url").value = "";
  }
}
// Administrador
// Muestra la vista de listar carrusel
function listar_carrusel() {
  mp();
  $.ajax({
    url: "/admin/carrusel",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      op();
      console.log("complete");
    });
}
// Administrador
// Oyente listar carrusel
$(document).ready(function () {
  $("#listado_carrucel").click(function (e) {
    listar_carrusel();
  });
});
// Administrador
// Filtro carrusel
function filtro_carrusel(f) {
  mp();
  $.ajax({
    url: "/admin/carrusel",
    type: "GET",
    dataType: "html",
    data: {
      texto: f.f_texto.value,
      fecha_inicio: f.f_fecha_inicio.value,
      fecha_fin: f.f_fecha_fin.value,
      estado: f.f_estado.value,
    },
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
//modificar vista
function moificar_carrusel(id) {
  mp();
  $.ajax({
    url: "/admin/carrusel/" + id + "/edit",
    type: "GET",
    headers: { "X-CSRF-TOKEN": _TOKEN },
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
//update carrusel
// Administrador
// Manda las imagenes al metodo store para guardarlas
function update_carrusel(f, id) {
  if (!f.checkValidity()) {
    msj("Carrusel", "Por favor completa los campos", "error");
  } else {
    mp();
    var formData = new FormData(f);
    $.ajax({
      url: "/admin/carrusel/update/" + id,
      type: "POST",
      headers: { "X-CSRF-TOKEN": _TOKEN },
      dataType: "json",
      data: formData,
      processData: false, // tell jQuery not to process the data
      contentType: false, // tell jQuery not to set contentType,
    })
      .done(function (json) {
        if (json.estado == "success") {
          //msj('Carrusel',json.mensaje,json.estado);
          listar_carrusel();
        }
        msj("Carrusel", json.mensaje, json.estado);
      })
      .fail(function () {
        console.log("error");
      })
      .always(function () {
        console.log("complete");
        op();
      });
  }
}

function ocultarElemento(id) {
  var doc = (document.getElementById(id).style.display = "none");
}
function mostrarElemento(id) {
  var doc = (document.getElementById(id).style.display = "block");
}
// Elimina una imagen el carrusel
function delete_carrusel(id) {
  ocultarModalConfirmacion();
  mp();
  $.ajax({
    url: "/admin/carrusel/" + id,
    type: "DELETE",
    headers: { "X-CSRF-TOKEN": _TOKEN },
    dataType: "json",
  })
    .done(function (json) {
      console.log("success");
      msj("Carrusel", json.mensaje, json.mensaje);
      listar_carrusel();
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}

// Administrador
// Oyente nueva carrucel
$(document).ready(function () {
  $("#nueva_noticia").click(function (e) {
    nueva_noticia();
  });
});

// Administrador
// Mostrar el formulario para agregar una nueva noticia
function nueva_noticia() {
  mp();
  $.ajax({
    url: "/admin/noticia/create",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}

// Administrador
// Guarda una  noticia

function cargar_noticia(f) {
  mp();
  var data = new FormData();
  data.append("titulo", f.titulo.value);
  data.append("descripcion", f.descripcion.value);
  data.append("descripcionimagen", f.descripcionimagen.value);
  data.append("url", f.url.value);
  data.append("fecha_inicioaviso", f.fecha_inicioaviso.value);
  data.append("fecha_finaviso", f.fecha_finaviso.value);
  var imagen = document.getElementById("imagen");
  //console.log(imagen.files[0]);

  data.append("imagen", imagen.files[0]);
  //console.log(data.getAll('imagen'));

  //console.log(imagen.files.length);
  var imagenes = document.getElementById("imagenes");
  data.append("imagenes", imagenes.files.length);
  var documentos = document.getElementById("documentos");
  data.append("documentos", documentos.files.length);
  //data.append("imagenes",imagenes.files[0]);
  //console.log(imagenes.files[1]);
  //console.log(imagenes.files.length);
  for (let index = 0; index < imagenes.files.length; index++) {
    //console.log(imagenes.files[index].name);
    var dataimg = new FormData();
    dataimg.append(
      "imagenExtra",
      imagenes.files[index],
      imagenes.files[index].name
    );
    dataimg.append("numero_arch", index);
    mandar_archivo(dataimg);
  }
  for (let index = 0; index < documentos.files.length; index++) {
    var dataDoc = new FormData();
    dataDoc.append("documentoExtra", documentos.files[index]);
    dataDoc.append("numero_arch", index);
    mandar_archivo(dataDoc);
  }
  for (let index = 0; index < 1000; index++) {
    console.log(index);
  }
  $.ajax({
    url: "/admin/noticia", // Url to which the request is send
    type: "POST", // Type of request to be send, called as method
    headers: { "X-CSRF-TOKEN": _TOKEN },
    data: data, // Data sent to server, a set of key/value pairs (i.e. form fields and values)
    contentType: false, // The content type used when sending data to the server.
    cache: false, // To unable request pages to be cached
    processData: false, // To send DOMDocument or non processed data file it is set to false
    dataType: "json",
  })
    .done(function (json) {
      if (json.estado == "success") {
        listar_noticia();
      }
      msj("Noticias", json.mensaje, json.estado);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}

function mandar_archivo(data) {
  $.ajax({
    url: "/admin/noticia", // Url to which the request is send
    type: "POST", // Type of request to be send, called as method
    headers: { "X-CSRF-TOKEN": _TOKEN },
    data: data, // Data sent to server, a set of key/value pairs (i.e. form fields and values)
    contentType: false, // The content type used when sending data to the server.
    processData: false, // To send DOMDocument or non processed data file it is set to false
    dataType: "json",
  })
    .done(function (json) {})
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
    });
  //console.log(data.getAll('imagenExtra'));
}

// Administrador
// Muestra la vista de listar noticia
function listar_noticia() {
  mp();
  $.ajax({
    url: "/admin/noticia",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// Administrador
// Oyente listar noticia
$(document).ready(function () {
  $("#listado_noticias").click(function (e) {
    listar_noticia();
  });
});
// Administrador
// Filtro noticias
function filtro_noticias(f) {
  mp();
  $.ajax({
    url: "/admin/noticia",
    type: "GET",
    dataType: "html",
    data: {
      titulo: f.f_titulo.value,
      descripcion: f.f_descripcion.value,
      fecha_inicio: f.f_fecha_inicio.value,
      fecha_fin: f.f_fecha_fin.value,
      estado: f.f_estado.value,
    },
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
//Modificar noticia
function moificar_noticia(id) {
  mp();
  $.ajax({
    url: "/admin/noticia/" + id + "/edit",
    type: "GET",
    headers: { "X-CSRF-TOKEN": _TOKEN },
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// elimina una imagen noticia
function eliminar_img(id, conservadas_id, eliminados_id) {
  //conservadas_img
  //eliminadas_img
  var conservadas = document.getElementById(conservadas_id).value;
  var elimindadas = document.getElementById(eliminados_id).value;
  var arrayConser = conservadas.split(",");
  var auxConser = "";
  for (let i = 0; i < arrayConser.length; i++) {
    console.log(arrayConser[i]);
    if (arrayConser[i] == id) {
      if (elimindadas == "") {
        elimindadas = id;
      } else {
        elimindadas += "," + id;
      }
    } else {
      if (auxConser == "") {
        auxConser = arrayConser[i];
      } else {
        auxConser += "," + arrayConser[i];
      }
    }
  }
  document.getElementById(conservadas_id).value = auxConser;
  document.getElementById(eliminados_id).value = elimindadas;
  var doc = document.getElementById(id);
  doc.style.display = "none";
}
function update_noticias(f) {
  var data = new FormData();
  console.log(f.titulo.value);
  data.append("titulo", f.titulo.value);
  data.append("descripcion", f.descripcion.value);
  data.append("descripcionimagen", f.descripcionimagen.value);
  data.append("url", f.url.value);
  data.append("fecha_inicioaviso", f.fecha_inicioaviso.value);
  data.append("fecha_finaviso", f.fecha_finaviso.value);
  data.append("conservadas_img", f.conservadas_img.value);
  data.append("max_img", f.max_img.value);
  data.append("eliminadas_doc", f.eliminadas_doc.value);
  data.append("conservadas_doc", f.conservadas_doc.value);
  data.append("eliminadas_doc", f.eliminadas_doc.value);
  data.append("max_doc", f.max_doc.value);

  var imagen = document.getElementById("imagen");
  data.append("imagen", imagen.files[0]);

  var imagenes = document.getElementById("imagenes");
  data.append("imagenes", imagenes.files.length);
  var documentos = document.getElementById("documentos");
  data.append("documentos", documentos.files.length);

  var num_index_img = f.max_img.value * 1;
  for (let index = 0; index < imagenes.files.length; index++) {
    num_index_img = num_index_img + 1;
    console.log(num_index_img);
    var dataimg = new FormData();
    dataimg.append("imagenExtra", imagenes.files[index]);
    dataimg.append("numero_arch", num_index_img);
    mandar_archivo_update(dataimg, f.idNoticia.value);
  }
  var num_index_doc = f.max_doc.value * 1;

  for (let index = 0; index < documentos.files.length; index++) {
    num_index_doc = num_index_doc + 1;
    var dataDoc = new FormData();
    dataDoc.append("documentoExtra", documentos.files[index]);
    dataDoc.append("numero_arch", num_index_doc);
    mandar_archivo_update(dataDoc, f.idNoticia.value);
  }

  $.ajax({
    url: "/admin/noticia/update/" + f.idNoticia.value, // Url to which the request is send
    type: "POST", // Type of request to be send, called as method
    headers: { "X-CSRF-TOKEN": _TOKEN },
    data: data, // Data sent to server, a set of key/value pairs (i.e. form fields and values)
    contentType: false, // The content type used when sending data to the server.
    processData: false, // To send DOMDocument or non processed data file it is set to false
    dataType: "json",
  })
    .done(function (json) {
      if (json.estado == "success") {
        listar_noticia();
      }
      msj("Noticias", json.mensaje, json.estado);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
function mandar_archivo_update(data, id) {
  $.ajax({
    url: "/admin/noticia/update/" + id, // Url to which the request is send
    type: "POST", // Type of request to be send, called as method
    headers: { "X-CSRF-TOKEN": _TOKEN },
    data: data, // Data sent to server, a set of key/value pairs (i.e. form fields and values)
    contentType: false, // The content type used when sending data to the server.
    cache: false, // To unable request pages to be cached
    processData: false, // To send DOMDocument or non processed data file it is set to false
    dataType: "json",
  })
    .done(function (json) {})
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
    });
}

// Administrador
// Elimina una noticia
function delete_noticia(id) {
  ocultarModalConfirmacion();
  mp();
  $.ajax({
    url: "/admin/noticia/" + id,
    type: "DELETE",
    headers: { "X-CSRF-TOKEN": _TOKEN },
    dataType: "json",
  })
    .done(function (json) {
      console.log("success");
      msj("Noticias", json.mensaje, json.mensaje);
      listar_noticia();
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}

// Consultar noticia
function consultar_noticia(id) {
  mp();
  $.ajax({
    url: "/admin/noticia/" + id,
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
////////////////////////////////////////////
// muestra admision en la pagina principal
function admision() {
  mp();
  $.ajax({
    url: "/admision",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// Administrador
// Oyente nueva admision
$(document).ready(function () {
  $("#nueva_admision").click(function (e) {
    nueva_admision();
  });
});
// Administrador
// Mostrar el formulario para subir un archivo de admision
function nueva_admision() {
  mp();
  $.ajax({
    url: "/admin/admision/create",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// Administrador
// cargar admision
function cargar_admision(f) {
  if (!f.checkValidity()) {
    msj("Admisión", "Por favor completa los campos", "error");
  } else {
    mp();
    var formData = new FormData(f);
    $.ajax({
      url: "/admin/admision",
      type: "POST",
      headers: { "X-CSRF-TOKEN": _TOKEN },
      dataType: "json",
      data: formData,
      processData: false, // tell jQuery not to process the data
      contentType: false, // tell jQuery not to set contentType,
    })
      .done(function (json) {
        if (json.estado == "success") {
          //msj('Carrusel',json.mensaje,json.estado);
        }
        msj("Admisión", json.mensaje, json.estado);
      })
      .fail(function () {
        console.log("error");
      })
      .always(function () {
        console.log("complete");
        op();
      });
  }
}

// Administrador
// formulario aspirantes
function registroAspirantesAdmision(f) {
  if (!f.checkValidity()) {
    msj("Admisión", "Por favor completa los campos", "error");
  } else {
    mp();
    var formData = new FormData(f);
    $.ajax({
      url: "/admin/registroAspirantesAdmision",
      type: "POST",
      headers: { "X-CSRF-TOKEN": _TOKEN },
      dataType: "json",
      data: formData,
      processData: false, // tell jQuery not to process the data
      contentType: false, // tell jQuery not to set contentType,
    })
      .done(function (json) {
        if (json.estado == "success") {
          //msj('Carrusel',json.mensaje,json.estado);
          admision();
        }
        msj("Admisión", json.mensaje, json.estado);
      })
      .fail(function () {
        console.log("error");
      })
      .always(function () {
        console.log("complete");
        op();
      });
  }
}

// Administrador
// Muestra la vista de listar Aspirantes
function listadoAspirantesAdmision() {
  mp();
  $.ajax({
    url: "/admin/listadoAspirantesAdmision",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}

// Administrador
// Filtro aspirante
function filtro_aspirante(f) {
  mp();
  $.ajax({
    url: "/admin/listadoAspirantesAdmision",
    type: "GET",
    dataType: "html",
    data: {
      nombre: f.f_nombre.value,
      curp: f.f_curp.value,
      fecha_inicio: f.f_fecha_inicio.value.toUpperCase(),
      fecha_fin: f.f_fecha_fin.value,
      estado: f.f_estado.value,
    },
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// Administrador
// Muestra la vista de ver aspirante
function ver_aspirante(id) {
  mp();
  $.ajax({
    url: "/admin/verAspirantesAdmision/" + id,
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}

// Administrador
// Muestra aprueba a un aspirante
function aprobar_aspirante(id) {
  ocultarModalConfirmacion();
  mp();
  $.ajax({
    url: "/admin/aprobarAspirantesAdmision/" + id,
    type: "GET",
    dataType: "json",
  })
    .done(function (json) {
      console.log("success");
      if (json.mensaje) {
        listadoAspirantesAdmision();
      }
      msj("Admisión", json.mensaje, json.estado);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}

// formulario aspirantes
function registroDocumentosAspirantesAdmision(f) {
  if (!f.checkValidity()) {
    msj("Admisión", "Por favor completa los campos", "error");
  } else {
    mp();
    var formData = new FormData(f);
    var inputs = document.getElementsByClassName("custom-file-input");
    var nombd = [
      "acta_nac",
      "identificacion",
      "titulo_acta",
      "comprobante_domicilio",
      "curriculum",
      "carta_compromiso",
      "recomendacion_1",
      "recomendacion_2",
      "foto",
      "curp_doc",
    ];

    if (inputsFormularioAdmision(inputs)) {
      var nam = document.getElementById("fotografia");
      var nom = nam.files[0].name.split(".");
      formData.append("ext", nom[nom.length - 1]);
      $.ajax({
        url: "/admin/registroDocumentosAspirantesAdmision",
        type: "POST",
        headers: { "X-CSRF-TOKEN": _TOKEN },
        dataType: "json",
        data: formData,
        processData: false, // tell jQuery not to process the data
        contentType: false, // tell jQuery not to set contentType,
      })
        .done(function (json) {
          if (json.estado == "success") {
            for (var i = 0; i < inputs.length; i++) {
              var documento = document.getElementById(inputs[i].id);
              var dataDoc = new FormData();
              dataDoc.append("_token", f._token.value);
              dataDoc.append("curp", f.curp.value);
              dataDoc.append("nombre", nombd[i]);
              dataDoc.append("documento", documento.files[0]);
              if (i == 8) {
                dataDoc.append("ext", nom[nom.length - 1]);
              }
              documentosAspirantes(dataDoc);
            }
            admision();
          }
          msj("Admisión", json.mensaje, json.estado);
        })
        .fail(function () {
          console.log("error");
        })
        .always(function () {
          console.log("complete");
          op();
        });
    } else {
      msj("Admisión", "Por favor completa los campos", "error");
    }
  }
}
function inputsFormularioAdmision(inputs) {
  for (var i = 0; i < inputs.length; i++) {
    if (document.getElementById(inputs[i].id).files.length != 1) {
      return false;
    }
  }
  return true;
}
// Documentos uno por uno
function documentosAspirantes(data) {
  $.ajax({
    url: "/admin/guardarDocumento",
    type: "POST",
    headers: { "X-CSRF-TOKEN": _TOKEN },
    dataType: "json",
    data: data,
    processData: false, // tell jQuery not to process the data
    contentType: false, // tell jQuery not to set contentType,
  })
    .done(function (json) {
      console.log("success");
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
    });
}
// Administrador
// Muestra los documentos
function ver_documentos_aspirante(id) {
  mp();
  $.ajax({
    url: "/admin/verDocumentosAspirantesAdmision/" + id,
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}

// Administrador
// Oyente listado aspirantes
$(document).ready(function () {
  $("#listado_aspirante").click(function (e) {
    listadoAspirantesAdmision();
  });
});

// Administrador
// Oyente nueva admision
$(document).ready(function () {
  $("#nueva_reinscripcion").click(function (e) {
    nueva_reinscripcion();
  });
});

// muestra reinscripcion en la pagina principal
function reinscripcion(f_maestria) {
  mp();
  $.ajax({
    url: "/reinscripcion",
    type: "GET",
    dataType: "html",
    data: { maestria: f_maestria, toda: "si" },
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
function limpiarCajaT(caja) {
  document.getElementById(caja).value = "";
}
// Administrador
// Mostrar el formulario para subir un archivo de reinscripcion
function nueva_reinscripcion() {
  mp();
  $.ajax({
    url: "/admin/reinscripcion/create",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// Administrador
// cargar reinscripcion
function cargar_reinscripcion(f) {
  if (!f.checkValidity()) {
    msj("Reinscripción", "Por favor completa los campos", "error");
  } else {
    mp();
    var formData = new FormData(f);
    $.ajax({
      url: "/admin/reinscripcion",
      type: "POST",
      headers: { "X-CSRF-TOKEN": _TOKEN },
      dataType: "json",
      data: formData,
      processData: false, // tell jQuery not to process the data
      contentType: false, // tell jQuery not to set contentType,
    })
      .done(function (json) {
        if (json.estado == "success") {
          nueva_reinscripcion();
        }
        msj("Reinscripción", json.mensaje, json.estado);
      })
      .fail(function () {
        console.log("error");
      })
      .always(function () {
        console.log("complete");
        op();
      });
  }
}

// muestra los contactos
function contactos() {
  mp();
  $.ajax({
    url: "/contactos",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// Guardar preguntas contacto
function cargar_contacto(f) {
  if (!f.checkValidity()) {
    msj("Contacto", "Por favor completa los campos", "error");
  } else {
    mp();
    var formData = new FormData(f);
    $.ajax({
      url: "/admin/contactos",
      type: "POST",
      headers: { "X-CSRF-TOKEN": _TOKEN },
      dataType: "json",
      data: formData,
      processData: false, // tell jQuery not to process the data
      contentType: false, // tell jQuery not to set contentType,
    })
      .done(function (json) {
        if (json.estado == "success") {
          contactos();
        }
        msj("Contacto", json.mensaje, json.estado);
      })
      .fail(function () {
        console.log("error");
      })
      .always(function () {
        console.log("complete");
        op();
      });
  }
}
// Administrador
// Oyente listar contacto
$(document).ready(function () {
  $("#listado_contactos").click(function (e) {
    listar_contactos();
  });
});
// Administrador
// Muestra la vista de listar contacto
function listar_contactos() {
  mp();
  $.ajax({
    url: "/admin/contactos",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// Administrador
// Filtro Contactos
function filtro_contactos(f) {
  mp();
  $.ajax({
    url: "/admin/contactos",
    type: "GET",
    dataType: "html",
    data: {
      nombre: f.f_nombre.value,
      maestria: f.f_maestria.value,
      fecha_inicio: f.f_fecha_inicio.value.toUpperCase(),
      fecha_fin: f.f_fecha_fin.value,
      estado: f.f_estado.value,
    },
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}

// Administrador
// Marca como atendido
function delete_contacto(id) {
  ocultarModalConfirmacion();
  op();
  $.ajax({
    url: "/admin/contactos/" + id,
    type: "DELETE",
    headers: { "X-CSRF-TOKEN": _TOKEN },
    dataType: "json",
  })
    .done(function (json) {
      console.log("success");
      msj("Contactos", json.mensaje, json.estado);
      listar_contactos();
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// validacion para la caja telefonica 
//$(document).ready(function() {
//	$("#telefono").mask("(999)999-9999");
//});

// Programa delfin
// vista
function delfinInformacion() {
  mp();
  $.ajax({
    url: "/admin/delfin/create",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// Guardar preguntas delfin
function cargar_delfin(f) {
  if (!f.checkValidity()) {
    msj("Delfín", "Por favor completa los campos", "error");
  } else {
    mp();
    var formData = new FormData(f);
    $.ajax({
      url: "/admin/delfin",
      type: "POST",
      headers: { "X-CSRF-TOKEN": _TOKEN },
      dataType: "json",
      data: formData,
      processData: false, // tell jQuery not to process the data
      contentType: false, // tell jQuery not to set contentType,
    })
      .done(function (json) {
        if (json.estado == "success") {
          delfinInformacion();
        }
        msj("Delfín", json.mensaje, json.estado);
      })
      .fail(function () {
        console.log("error");
      })
      .always(function () {
        console.log("complete");
        op();
      });
  }
}
// Administrador
// Muestra la vista de listar delfin
function listar_delfin() {
  mp();
  $.ajax({
    url: "/admin/delfin",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// Administrador
// Filtro delfin
function filtro_delfin(f) {
  mp();
  $.ajax({
    url: "/admin/delfin",
    type: "GET",
    dataType: "html",
    data: {
      nombre: f.f_nombre.value,
      control: f.f_control.value,
      fecha_inicio: f.f_fecha_inicio.value.toUpperCase(),
      fecha_fin: f.f_fecha_fin.value,
      estado: f.f_estado.value,
    },
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// Administrador
// Oyente listar delfin
$(document).ready(function () {
  $("#listado_delfin").click(function (e) {
    listar_delfin();
  });
});
// Administrador
// Marca como atendido
function delete_delfin(id) {
  ocultarModalConfirmacion();
  op();
  $.ajax({
    url: "/admin/delfin/" + id,
    type: "DELETE",
    headers: { "X-CSRF-TOKEN": _TOKEN },
    dataType: "json",
  })
    .done(function (json) {
      console.log("success");
      msj("Delfín", json.mensaje, json.estado);
      listar_delfin();
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// muestra vista para fechas
function vista_fechas() {
  mp();
  $.ajax({
    url: "/admin/fechasVista",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// Guardar preguntas contacto
function cargar_fechas(f) {
  if (!f.checkValidity()) {
    msj("Delfín", "Por favor completa los campos", "error");
  } else {
    mp();
    var formData = new FormData(f);
    $.ajax({
      url: "/admin/fechasDatos",
      type: "POST",
      headers: { "X-CSRF-TOKEN": _TOKEN },
      dataType: "json",
      data: formData,
      processData: false, // tell jQuery not to process the data
      contentType: false, // tell jQuery not to set contentType,
    })
      .done(function (json) {
        if (json.estado == "success") {
          vista_fechas();
        }
        msj("Delfín", json.mensaje, json.estado);
      })
      .fail(function () {
        console.log("error");
      })
      .always(function () {
        console.log("complete");
        op();
      });
  }
}
// Administrador
// Oyente mostrar vista fechas
$(document).ready(function () {
  $("#nuevo_delfin").click(function (e) {
    vista_fechas();
  });
});

// Curriculum
// vista del profesor
function vista_profesor() {
  $.ajax({
    url: "/admin/curriculum/identificacion/create",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
    });
}
// vista profesor
$(document).ready(function () {
  $("#datos_profesor").click(function (e) {
    vista_profesor();
  });
});
// Guardar informacion del profesor
function cargar_profesor(f) {
  if (!f.checkValidity()) {
    msj("Profesor", "Por favor completa los campos", "error");
  } else {
    mp();
    var formData = new FormData(f);
    $.ajax({
      url: "/admin/curriculum/identificacion/",
      type: "POST",
      headers: { "X-CSRF-TOKEN": _TOKEN },
      dataType: "json",
      data: formData,
      processData: false, // tell jQuery not to process the data
      contentType: false, // tell jQuery not to set contentType,
    })
      .done(function (json) {
        if (json.estado == "success") {
        }
        msj("Profesor", json.mensaje, json.estado);
      })
      .fail(function () {
        console.log("error");
      })
      .always(function () {
        console.log("complete");
        op();
      });
  }
}
// area y disciplina
// vista area y disciplina
function vista_area_disciplina() {
  $.ajax({
    url: "/admin/curriculum/areaDisciplina/create",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
    });
}
// vista area y disciplina
$(document).ready(function () {
  $("#area_disciplina").click(function (e) {
    vista_area_disciplina();
  });
});
// Guardar informacion de la area disciplina
function cargar_area_disciplina(f) {
  if (!f.checkValidity()) {
    msj("Area y Disciplina", "Por favor completa los campos", "error");
  } else {
    mp();
    var formData = new FormData(f);
    $.ajax({
      url: "/admin/curriculum/areaDisciplina/",
      type: "POST",
      headers: { "X-CSRF-TOKEN": _TOKEN },
      dataType: "json",
      data: formData,
      processData: false, // tell jQuery not to process the data
      contentType: false, // tell jQuery not to set contentType,
    })
      .done(function (json) {
        if (json.estado == "success") {
        }
        msj("Area y Disciplina", json.mensaje, json.estado);
      })
      .fail(function () {
        console.log("error");
      })
      .always(function () {
        console.log("complete");
        op();
      });
  }
}
// vista datos laborales
function vista_datos_laborales() {
  $.ajax({
    url: "/admin/curriculum/datosLaborales/create",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
    });
}
// datos laborales
$(document).ready(function () {
  $("#datos_laborales").click(function (e) {
    vista_datos_laborales();
  });
});
// Guardar informacion de datos laborales
function cargar_datos_laborales(f) {
  if (!f.checkValidity()) {
    msj("Datos Laborales", "Por favor completa los campos", "error");
  } else {
    mp();
    var formData = new FormData(f);
    $.ajax({
      url: "/admin/curriculum/datosLaborales/",
      type: "POST",
      headers: { "X-CSRF-TOKEN": _TOKEN },
      dataType: "json",
      data: formData,
      processData: false, // tell jQuery not to process the data
      contentType: false, // tell jQuery not to set contentType,
    })
      .done(function (json) {
        if (json.estado == "success") {
        }
        msj("Datos Laborales", json.mensaje, json.estado);
      })
      .fail(function () {
        console.log("error");
      })
      .always(function () {
        console.log("complete");
        op();
      });
  }
}

// vista Estudios relizador
function vista_estudios_realizados() {
  $.ajax({
    url: "/admin/curriculum/estudiosRealizados/create",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
    });
}
// vista Estudios relizador
$(document).ready(function () {
  $("#estudios_realizados").click(function (e) {
    vista_estudios_realizados();
  });
});

// Guardar informacion de los estudios realizados
function cargar_estudios_realizados(f) {
  if (!f.checkValidity()) {
    msj("Estudios realizados", "Por favor completa los campos", "error");
  } else {
    mp();
    var formData = new FormData(f);
    $.ajax({
      url: "/admin/curriculum/estudiosRealizados/",
      type: "POST",
      headers: { "X-CSRF-TOKEN": _TOKEN },
      dataType: "json",
      data: formData,
      processData: false, // tell jQuery not to process the data
      contentType: false, // tell jQuery not to set contentType,
    })
      .done(function (json) {
        if (json.estado == "success") {
        }
        msj("Estudios Realizados", json.mensaje, json.estado);
      })
      .fail(function () {
        console.log("error");
      })
      .always(function () {
        console.log("complete");
        op();
      });
  }
}

////////////////////////////////////////////////////////////////
// Maestrias
// inicio maestria Sistemas
function inicioSistemas() {
  mp();
  $.ajax({
    url: "/maestriaSistemas/",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// Objetivos Sistemas
function objetivosSistemas() {
  mp();
  $.ajax({
    url: "/maestriaSistemas/objetivos",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor2").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// Perfiles Sistemas
function perfilSistemas() {
  mp();
  $.ajax({
    url: "/maestriaSistemas/perfil",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor2").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// Lineas de invetigacion Sistemas
function lineasSistemas() {
  mp();
  $.ajax({
    url: "/maestriaSistemas/lineas",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor2").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// Plan de estudios Sistemas
function planEstudiosSistemas() {
  mp();
  $.ajax({
    url: "/maestriaSistemas/planEstudios",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor2").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// Requisitos de permanencia Sistemas
function permanenciaSistemas() {
  mp();
  $.ajax({
    url: "/maestriaSistemas/permanencia",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor2").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// Obtencion de grado Sistemas
function gradoSistemas() {
  mp();
  $.ajax({
    url: "/maestriaSistemas/obtencionGrado",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor2").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// actividades
function actividaesSistemas() {
  mp();
  $.ajax({
    url: "/maestriaSistemas/actividades",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor2").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// Nucleo academico
function nucleoSistemas() {
  mp();
  $.ajax({
    url: "/maestriaSistemas/nucleo",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor2").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// Productividad academico
function productividadDocentesSistemas() {
  mp();
  $.ajax({
    url: "/maestriaSistemas/productividadDocente",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor2").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
function productividadAlumnosSistemas() {
  mp();
  $.ajax({
    url: "/maestriaSistemas/productividadAlumno",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor2").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
function tesisSistemas() {
  mp();
  $.ajax({
    url: "/maestriaSistemas/tesis",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor2").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}

// inicio maestria gestion
function inicioGestion() {
  mp();
  $.ajax({
    url: "/maestriaGestion/",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// Objetivos Gestion
function objetivosGestion() {
  mp();
  $.ajax({
    url: "/maestriaGestion/objetivos",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor2").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// Perfiles Gestion
function perfilGestion() {
  mp();
  $.ajax({
    url: "/maestriaGestion/perfil",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor2").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// Lineas de invetigacion Gestion
function lineasGestion() {
  mp();
  $.ajax({
    url: "/maestriaGestion/lineas",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor2").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// Plan de estudios Gestion
function planEstudiosGestion() {
  mp();
  $.ajax({
    url: "/maestriaGestion/planEstudios",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor2").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// Requisitos de permanencia Gestion
function permanenciaGestion() {
  mp();
  $.ajax({
    url: "/maestriaGestion/permanencia",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor2").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// Obtencion de grado Gestion
function gradoGestion() {
  mp();
  $.ajax({
    url: "/maestriaGestion/obtencionGrado",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor2").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// actividades
function actividaesGestion() {
  mp();
  $.ajax({
    url: "/maestriaGestion/actividades",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor2").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}

// Nucleo academico
function nucleoGestion() {
  mp();
  $.ajax({
    url: "/maestriaGestion/nucleo",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor2").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// Productividad academico
function productividadDocentesGestion() {
  mp();
  $.ajax({
    url: "/maestriaGestion/productividadDocente",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor2").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
function productividadAlumnosGestion() {
  mp();
  $.ajax({
    url: "/maestriaGestion/productividadAlumno",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor2").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
function tesisGestion() {
  mp();
  $.ajax({
    url: "/maestriaGestion/tesis",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor2").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}

// Administrador
// Oyente mostrar vista fechas
$(document).ready(function () {
  $("#linea_investigacion").click(function (e) {
    vistaLineas();
  });
});

function vistaLineas() {
  mp();
  $.ajax({
    url: "admin/lineasInvestigacion/create",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
// Administrador
// Guardar la linea de investigacion
function cargar_linea(f) {
  if (!f.checkValidity()) {
    msj("Líneas de investigación", "Por favor completa los campos", "error");
  } else {
    mp();
    var formData = new FormData(f);
    $.ajax({
      url: "admin/lineasInvestigacion",
      type: "POST",
      headers: { "X-CSRF-TOKEN": _TOKEN },
      dataType: "json",
      data: formData,
      processData: false, // tell jQuery not to process the data
      contentType: false, // tell jQuery not to set contentType,
    })
      .done(function (json) {
        if (json.estado == "success") {
          //msj('Carrusel',json.mensaje,json.estado);
          listar_linea();
        }
        msj("Líneas de investigación", json.mensaje, json.estado);
      })
      .fail(function () {
        console.log("error");
      })
      .always(function () {
        console.log("complete");
        op();
      });
  }
}
// Administrador
// Muestra la vista de listar Lineas
function listar_linea() {
  mp();
  $.ajax({
    url: "admin/lineasInvestigacion",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      op();
      console.log("complete");
    });
}
$(document).ready(function () {
  $("#linea_listar").click(function (e) {
    listar_linea();
  });
});
//modificar linea
function moificar_linea(id) {
  mp();
  $.ajax({
    url: "/admin/lineasInvestigacion/edit/" + id,
    type: "GET",
    headers: { "X-CSRF-TOKEN": _TOKEN },
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}

function update_linea(f, id) {
  if (!f.checkValidity()) {
    msj("Líneas de investigación", "Por favor completa los campos", "error");
  } else {
    mp();
    var formData = new FormData(f);
    $.ajax({
      url: "admin/lineasInvestigacion/update/" + id,
      type: "POST",
      headers: { "X-CSRF-TOKEN": _TOKEN },
      dataType: "json",
      data: formData,
      processData: false, // tell jQuery not to process the data
      contentType: false, // tell jQuery not to set contentType,
    })
      .done(function (json) {
        if (json.estado == "success") {
          //msj('Carrusel',json.mensaje,json.estado);
          listar_linea();
        }
        msj("Líneas de investigación", json.mensaje, json.estado);
      })
      .fail(function () {
        console.log("error");
      })
      .always(function () {
        console.log("complete");
        op();
      });
  }
}

function filtro_linea(f) {
  mp();
  $.ajax({
    url: "admin/lineasInvestigacion",
    type: "GET",
    dataType: "html",
    data: {
      textoLinea: f.f_textoLinea.value,
      fecha_inicio: f.f_fecha_inicio.value,
      fecha_fin: f.f_fecha_fin.value,
    },
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}

// Administrador
// Muestra la vista de docentes
function listar_docentesLinea() {
  mp();
  $.ajax({
    url: "admin/lineasDocentes",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      op();
      console.log("complete");
    });
}
$(document).ready(function () {
  $("#listado_docentes_linea").click(function (e) {
    listar_docentesLinea();
  });
});

function filtro_linea_personal(f) {
  mp();
  $.ajax({
    url: "admin/lineasDocentes",
    type: "GET",
    dataType: "html",
    data: {
      nombre: f.f_nombre.value,
      estado: f.f_estado.value,
    },
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
function nueva_Linea_Docente(id) {
  mp();
  $.ajax({
    url: "/admin/lineasDocentes/create",
    type: "GET",
    dataType: "html",
    data: { id: id },
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
function mas_lineas() {
  var linea = $("#linea").val();
  var opt = $("#linea").find("option");
  var nombre = "";
  var row_lineas = $(".row_linea");
  var id_nuevo = "row_" + linea;
  var bandera = false;
  if (linea != "") {
    $.each(row_lineas, function (index, elemento) {
      console.log(elemento.id);

      if (elemento.id == id_nuevo) {
        bandera = true;
      }
    });
    if (!bandera) {
      $.each(opt, function (index, elemento) {
        if (linea == elemento.value) {
          nombre = elemento.innerText;
          console.log(nombre);
        }
      });
      $("#contenedor_lineas").append(
        "<div class='form-group row_linea' id='" +
          id_nuevo +
          "'>" +
          "<input type='hidden' class='linea_id'  value='" +
          linea +
          "' >" +
          "<label class='control-label col-md-3 col-sm-3 col-xs-12' for='linea'> <span class='required'></span>" +
          "</label>" +
          "<div class='col-md-6 col-sm-6 col-xs-12'>" +
          "<label for=''>" +
          nombre +
          "</label>" +
          "</div>" +
          "<div class='col-md-1 col-sm-1 col-xs-12'>" +
          "<button type='button' class='btn btn-danger btn-block btn-xs' onclick='menos_linea(\"" +
          id_nuevo +
          "\")'><span class='fa fa-trash'></span>" +
          "</button>" +
          "</div>" +
          "</div>"
      );
    } else {
      msj("Docente Linea", "La linea ya ha sido agregada", "error");
    }
  } else {
    msj("Docente Linea", "Selecione una linea", "error");
  }
}

//elimina el nombre de la linea en vista docencia
function menos_linea(id) {
  $("#" + id).remove();
}
function add_lineas_docente(fo) {
  var lineas = $(".row_linea");
  var c = [];
  if (!fo.checkValidity) {
    msj("Docente Linea", "Por favor complets los campos", "error");
  } else {
    if (lineas.length == 0) {
      msj(
        "Docente Linea",
        "Por favor selecciona una línea de investigación ",
        "error"
      );
    } else {
      $.each(lineas, function (index, elemento) {
        var idLinea = elemento.querySelector(".linea_id").value;
        c.push({ id: idLinea });
      });
      c = JSON.stringify(c);
      console.log(c);
      $.ajax({
        url: "/admin/lineasDocentes",
        type: "POST",
        headers: { "X-CSRF-TOKEN": _TOKEN },
        dataType: "json",
        data: { idPersonal: fo.idPersonal.value, lineas: c },
      })
        .done(function (json) {
          if (json.estado == "success") {
            //msj('Carrusel',json.mensaje,json.estado);
            listar_docentesLinea();
          }
          msj("Docente Linea", json.mensaje, json.estado);
        })
        .fail(function () {
          console.log("error");
        })
        .always(function () {
          console.log("complete");
        });
    }
  }
}
function modificar_linea_personal(id) {
  mp();
  $.ajax({
    url: "/admin/lineasDocentes/edit/" + id,
    type: "GET",
    headers: { "X-CSRF-TOKEN": _TOKEN },
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
function update_linea_docente(fo) {
  var lineas = $(".row_linea");
  var c = [];
  if (!fo.checkValidity) {
    msj("Docente Linea", "Por favor complets los campos", "error");
  } else {
    if (lineas.length == 0) {
      msj("Docente Linea", "Por favor selecciona una linea", "error");
    } else {
      $.each(lineas, function (index, elemento) {
        var idlinea = elemento.querySelector(".linea_id").value;
        c.push({ id: idlinea });
      });
      c = JSON.stringify(c);
      $.ajax({
        url: "/admin/lineasDocentes/update/" + fo.idPersonal.value,
        type: "POST",
        headers: { "X-CSRF-TOKEN": _TOKEN },
        dataType: "json",
        data: { lineas: c },
      })
        .done(function (json) {
          console.log("success");
          if (json.estado) {
            listar_docentesLinea();
          }
          msj("Docente Linea", json.mensaje, json.estado);
        })
        .fail(function () {
          console.log("error");
        })
        .always(function () {
          console.log("complete");
        });
    }
  }
}
// vista para agregar cvu a docente
function nuevo_cvu_docente(id) {
  mp();
  $.ajax({
    url: "/admin/docentesCVUVista/"+id,
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}

//
function cargar_docente_CVU(f) {
  if (!f.checkValidity()) {
    msj("Docente CVU", "Por favor completa los campos", "error");
  } else {
    mp();
    var formData = new FormData(f);
    $.ajax({
      url: "admin/docentesCVUGuardar",
      type: "POST",
      headers: { "X-CSRF-TOKEN": _TOKEN },
      dataType: "json",
      data: formData,
      processData: false, // tell jQuery not to process the data
      contentType: false, // tell jQuery not to set contentType,
    })
      .done(function (json) {
        if (json.estado == "success") {
          //msj('Carrusel',json.mensaje,json.estado);
          listar_docentesLinea();
        }
        msj("Docente CVU", json.mensaje, json.estado);
      })
      .fail(function () {
        console.log("error");
      })
      .always(function () {
        console.log("complete");
        op();
      });
  }
}
// Administrador
// Muestra la vista de docentes
function listar_alumno_tesis() {
  mp();
  $.ajax({
    url: "admin/alumnoTesis",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      op();
      console.log("complete");
    });
}

$(document).ready(function () {
  $("#listado_tesis").click(function (e) {
    listar_alumno_tesis();
  });
});
function filtro_alumno_tesis(f) {
  mp();
  $.ajax({
    url: "admin/alumnoTesis",
    type: "GET",
    dataType: "html",
    data: {
      nombre: f.f_nombre.value,
      estado: f.f_estado.value,
    },
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
function nuevo_alumno_tesis(id) {
  mp();
  $.ajax({
    url: "/admin/alumnoTesis/create",
    type: "GET",
    dataType: "html",
    data: { id: id },
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
function modificar_alumno_tesis(id) {
  mp();
  $.ajax({
    url: "/admin/alumnoTesis/edit/" + id,
    type: "GET",
    headers: { "X-CSRF-TOKEN": _TOKEN },
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
function update_alumno_tesis(f, id) {
  if (!f.checkValidity()) {
    msj("Alumno Tesis", "Por favor completa los campos", "error");
  } else {
    mp();
    var formData = new FormData(f);
    $.ajax({
      url: "admin/alumnoTesis/update/" + id,
      type: "POST",
      headers: { "X-CSRF-TOKEN": _TOKEN },
      dataType: "json",
      data: formData,
      processData: false, // tell jQuery not to process the data
      contentType: false, // tell jQuery not to set contentType,
    })
      .done(function (json) {
        if (json.estado == "success") {
          //msj('Carrusel',json.mensaje,json.estado);
          listar_alumno_tesis();
        }
        msj("Alumno Tesis", json.mensaje, json.estado);
      })
      .fail(function () {
        console.log("error");
      })
      .always(function () {
        console.log("complete");
        op();
      });
  }
}

function cargar_alumno_tesis(f) {
  if (!f.checkValidity()) {
    msj("Alumno Tesis", "Por favor completa los campos", "error");
  } else {
    mp();
    var formData = new FormData(f);
    $.ajax({
      url: "admin/alumnoTesis",
      type: "POST",
      headers: { "X-CSRF-TOKEN": _TOKEN },
      dataType: "json",
      data: formData,
      processData: false, // tell jQuery not to process the data
      contentType: false, // tell jQuery not to set contentType,
    })
      .done(function (json) {
        if (json.estado == "success") {
          //msj('Carrusel',json.mensaje,json.estado);
          listar_alumno_tesis();
        }
        msj("Alumno Tesis", json.mensaje, json.estado);
      })
      .fail(function () {
        console.log("error");
      })
      .always(function () {
        console.log("complete");
        op();
      });
  }
}

function vista_foto_alumno(id) {
  mp();
  $.ajax({
    url: "/admin/alumnoTesis/foto/create/" + id,
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}

function cargar_foto_estudiante(f) {
  if (!f.checkValidity()) {
    msj("AlumnoTesis", "Por favor completa los campos", "error");
  } else {
    mp();
    var formData = new FormData(f);
    $.ajax({
      url: "/admin/alumnoTesis/foto/store",
      type: "POST",
      headers: { "X-CSRF-TOKEN": _TOKEN },
      dataType: "json",
      data: formData,
      processData: false, // tell jQuery not to process the data
      contentType: false, // tell jQuery not to set contentType,
    })
      .done(function (json) {
        if (json.estado == "success") {
          //msj('Carrusel',json.mensaje,json.estado);
          listar_alumno_tesis();
        }
        msj("AlumnoTesis", json.mensaje, json.estado);
      })
      .fail(function () {
        console.log("error");
      })
      .always(function () {
        console.log("complete");
        op();
      });
  }
}
// Administrador
// Oyente mostrar vista nuevo lineamientos
$(document).ready(function () {
  $("#nuevo_lineamientos").click(function (e) {
    vistaLineamientos();
  });
});

function vistaLineamientos() {
  mp();
  $.ajax({
    url: "admin/lineamientos/create",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
function cargar_Lineamientos(f) {
  if (!f.checkValidity()) {
    msj("Lineamientos", "Por favor completa los campos", "error");
  } else {
    mp();
    var formData = new FormData(f);
    $.ajax({
      url: "admin/lineamientos",
      type: "POST",
      headers: { "X-CSRF-TOKEN": _TOKEN },
      dataType: "json",
      data: formData,
      processData: false, // tell jQuery not to process the data
      contentType: false, // tell jQuery not to set contentType,
    })
      .done(function (json) {
        if (json.estado == "success") {
          //msj('Carrusel',json.mensaje,json.estado);
          listar_lineamientos();
        }
        msj("Lineamientos", json.mensaje, json.estado);
      })
      .fail(function () {
        console.log("error");
      })
      .always(function () {
        console.log("complete");
        op();
      });
  }
}
function listar_lineamientos() {
  mp();
  $.ajax({
    url: "admin/lineamientos",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      op();
      console.log("complete");
    });
}

$(document).ready(function () {
  $("#listado_lineamientos").click(function (e) {
    listar_lineamientos();
  });
});
// Elimina una imagen el carrusel
function delete_lineamientos(id) {
  ocultarModalConfirmacion();
  mp();
  $.ajax({
    url: "/admin/lineamientos/" + id,
    type: "DELETE",
    headers: { "X-CSRF-TOKEN": _TOKEN },
    dataType: "json",
  })
    .done(function (json) {
      console.log("success");
      msj("Lineamientos", json.mensaje, json.mensaje);
      listar_lineamientos();
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
function delete_lineamientos2(id) {
  ocultarModalConfirmacion();
  mp();
  $.ajax({
    url: "/admin/lineamientos/delete/" + id,
    type: "GET",
    headers: { "X-CSRF-TOKEN": _TOKEN },
    dataType: "json",
  })
    .done(function (json) {
      console.log("success");
      msj("Lineamientos", json.mensaje, json.mensaje);
      listar_lineamientos();
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
function listar_lineamientos_pagina() {
  mp();
  $.ajax({
    url: "lineamientos",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      op();
      console.log("complete");
    });
}
////////////////////////
// Administrador
// Oyente mostrar vista nuevo vinculacion
$(document).ready(function () {
  $("#nuevo_vinculacion").click(function (e) {
    vista_vinculacion();
  });
});

function vista_vinculacion() {
  mp();
  $.ajax({
    url: "admin/vinculacion/create",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
function cargar_vinculacion(f) {
  if (!f.checkValidity()) {
    msj("Vinculación", "Por favor completa los campos", "error");
  } else {
    mp();
    var formData = new FormData(f);
    $.ajax({
      url: "admin/vinculacion",
      type: "POST",
      headers: { "X-CSRF-TOKEN": _TOKEN },
      dataType: "json",
      data: formData,
      processData: false, // tell jQuery not to process the data
      contentType: false, // tell jQuery not to set contentType,
    })
      .done(function (json) {
        if (json.estado == "success") {
          //msj('Carrusel',json.mensaje,json.estado);
          listar_vinculacion();
        }
        msj("Vinculación", json.mensaje, json.estado);
      })
      .fail(function () {
        console.log("error");
      })
      .always(function () {
        console.log("complete");
        op();
      });
  }
}
function listar_vinculacion() {
  mp();
  $.ajax({
    url: "admin/vinculacion",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      op();
      console.log("complete");
    });
}

$(document).ready(function () {
  $("#listado_vinculacion").click(function (e) {
    listar_vinculacion();
  });
});

function filtro_vinculacion(f) {
  mp();
  $.ajax({
    url: "admin/vinculacion",
    type: "GET",
    dataType: "html",
    data: {
      nombre: f.f_nombre.value,
      estado: f.f_estado.value,
      fecha_inicio: f.f_fecha_inicio.value,
      fecha_fin: f.f_fecha_fin.value,
    },
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
function delete_vinculacion(id) {
  ocultarModalConfirmacion();
  mp();
  $.ajax({
    url: "/admin/vinculacion/" + id,
    type: "DELETE",
    headers: { "X-CSRF-TOKEN": _TOKEN },
    dataType: "json",
  })
    .done(function (json) {
      console.log("success");
      msj("Vinculación", json.mensaje, json.mensaje);
      listar_vinculacion();
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
function delete_vinculacion2(id) {
  ocultarModalConfirmacion();
  mp();
  $.ajax({
    url: "/admin/vinculacion/delete/" + id,
    type: "GET",
    headers: { "X-CSRF-TOKEN": _TOKEN },
    dataType: "json",
  })
    .done(function (json) {
      console.log("success");
      msj("Vinculación", json.mensaje, json.mensaje);
      listar_vinculacion();
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
function listar_vinculacion_msc() {
  mp();
  $.ajax({
    url: "vinculacionMSC",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor2").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      op();
      console.log("complete");
    });
}
function filtro_vinculacion_msc(f) {
  mp();
  $.ajax({
    url: "vinculacionMSC",
    type: "GET",
    dataType: "html",
    data: { nombre: f.f_nombre.value },
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor2").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      op();
      console.log("complete");
    });
}
function listar_vinculacion_mga() {
  mp();
  $.ajax({
    url: "vinculacionMGA",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor2").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      op();
      console.log("complete");
    });
}
function filtro_vinculacion_mga(f) {
  mp();
  $.ajax({
    url: "vinculacionMGA",
    type: "GET",
    dataType: "html",
    data: { nombre: f.f_nombre.value },
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor2").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      op();
      console.log("complete");
    });
}

// Administrador
// Oyente nueva productividad
$(document).ready(function () {
  $("#nueva_productividad").click(function (e) {
    nueva_productividad();
  });
});

// Administrador
// Mostrar el formulario para agregar una imagen al productividad
function nueva_productividad() {
  mp();
  $.ajax({
    url: "/admin/productividad/create",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}

// Administrador
// Guardar la productividad
function cargar_productividad(f) {
  if (!f.checkValidity()) {
    msj("Productividad", "Por favor completa los campos", "error");
  } else {
    mp();
    var formData = new FormData(f);
    $.ajax({
      url: "/admin/productividad",
      type: "POST",
      headers: { "X-CSRF-TOKEN": _TOKEN },
      dataType: "json",
      data: formData,
      processData: false, // tell jQuery not to process the data
      contentType: false, // tell jQuery not to set contentType,
    })
      .done(function (json) {
        if (json.estado == "success") {
          //msj('Carrusel',json.mensaje,json.estado);
          listar_productividad();
        }
        msj("Productividad", json.mensaje, json.estado);
      })
      .fail(function () {
        console.log("error");
      })
      .always(function () {
        console.log("complete");
        op();
      });
  }
}
$(document).ready(function () {
  $("#listado_productividad").click(function (e) {
    listar_productividad();
  });
});
// Administrador
// Muestra la vista de listar productividad
function listar_productividad() {
  mp();
  $.ajax({
    url: "/admin/productividad",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      op();
      console.log("complete");
    });
}
// Administrador
// Filtro productividad
function filtro_productividad(f) {
  mp();
  $.ajax({
    url: "/admin/productividad",
    type: "GET",
    dataType: "html",
    data: {
      titulo: f.f_titulo.value,
      autores: f.f_autores.value,
      anio: f.f_anio.value,
      maestria: f.f_maestria.value,
      dirigido: f.f_dirigido.value,
      estado: f.f_estado.value,
    },
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
//modificar vista productividad
function moificar_productividad(id) {
  mp();
  $.ajax({
    url: "/admin/productividad/" + id + "/edit",
    type: "GET",
    headers: { "X-CSRF-TOKEN": _TOKEN },
    dataType: "html",
  })
    .done(function (vista) {
      console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}
//update productividad
// Administrador
// Manda las imagenes al metodo store para guardarlas
function update_productividad(f, id) {
  if (!f.checkValidity()) {
    msj("Productividad", "Por favor completa los campos", "error");
  } else {
    mp();
    var formData = new FormData(f);
    $.ajax({
      url: "/admin/productividad/update/" + id,
      type: "POST",
      headers: { "X-CSRF-TOKEN": _TOKEN },
      dataType: "json",
      data: formData,
      processData: false, // tell jQuery not to process the data
      contentType: false, // tell jQuery not to set contentType,
    })
      .done(function (json) {
        if (json.estado == "success") {
          //msj('productividad',json.mensaje,json.estado);
          listar_productividad();
        }
        msj("Productividad", json.mensaje, json.estado);
      })
      .fail(function () {
        console.log("error");
      })
      .always(function () {
        console.log("complete");
        op();
      });
  }
}
// Elimina una imagen el productividad
function delete_productividad(id) {
  ocultarModalConfirmacion();
  mp();
  $.ajax({
    url: "/admin/productividad/" + id,
    type: "DELETE",
    headers: { "X-CSRF-TOKEN": _TOKEN },
    dataType: "json",
  })
    .done(function (json) {
      console.log("success");
      msj("Productividad", json.mensaje, json.mensaje);
      listar_productividad();
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
      op();
    });
}

function mostrarModalProductividad(contenido) {
  var titulo2 = (document.getElementById("modalBodyProductividad").innerHTML =
    '<iframe src="' + contenido + '"width="100%" height="450px"></iframe>');
  $("#modalContenidoProductividad").modal();
}

// descarga documentos
function descargas_documento(url) {
  $.ajax({
    url: "/descargarArchivos",
    type: "GET",
    dataType: "html",
    data: { url: url },
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
    });
}

function mp() {
  $("#loading").fadeIn(400, "linear");
} //funcion para mostar
function op() {
  $("#loading").fadeOut(10, "linear");
} // funcion para ocultar

function sacardocumentos(id, idt) {
  var input = document.getElementById(id);
  var contenido = "";
  if (input.files && input.files[0])
    for (let index = 0; index < input.files.length; index++) {
      contenido += input.files[index]["name"] + ",";
    }
  contenido = contenido.slice(0, contenido.length - 1);
  var conte = (document.getElementById(idt).value = contenido);
}

// Mensajes
function msj(titulo, texto, tipo) {
  new PNotify({
    title: titulo,
    text: texto,
    type: tipo,
    styling: "bootstrap3",
  });
}
//modalConfirmacion("hola","¿Está seguro de eliminarlo?","funcion()");
function modalConfirmacion(titulo, contenido, fooder) {
  var titulo2 = (document.getElementById("myModalTitulo").innerHTML = titulo);
  var contenido2 = (document.getElementById("myModalContenido").innerHTML =
    contenido);
  var fooder2 = (document.getElementById("myModalFooder").innerHTML =
    '<center><button type="button" class="btn btn-info btn-xs " data-dismiss="modal">No</button>    <button type="button" class="btn btn-danger btn-xs " id="closeModal" onclick="' +
    fooder +
    '">Si</button></center>');
  $("#myModalHtml").modal();
}
function modalConfirmacion2(titulo, contenido, fooder) {
  var titulo2 = (document.getElementById("myModalTitulo").innerHTML = titulo);
  var contenido2 = (document.getElementById("myModalContenido").innerHTML =
    contenido);
  var fooder2 = (document.getElementById("myModalFooder").innerHTML =
    '<button type="button" class="btn btn-info btn-xs " data-dismiss="modal">Cerrar </button> ' +
    fooder);
  $("#myModalHtml").modal();
}
function ocultarModalConfirmacion() {
  //var modal=document.getElementById("myModalHtml");
  //modal.style.display = "none";
  $("#myModalHtml").modal("hide");
}
function prodep() {
  $.ajax({
    url: "https://zitacuaro.tecnm.mx/prodep",
    type: "GET",
    dataType: "html",
  })
    .done(function (vista) {
      //console.log("success");
      $("#contenedor").html(vista);
    })
    .fail(function () {
      console.log("error");
    })
    .always(function () {
      console.log("complete");
    });
}
function mostrarDivsFormulario() {
  var institution = document.getElementById("divOcultarInstitucion");
  institution.style.display = "flex";
}
function ocultarDivsFormulario() {
  var institution = document.getElementById("divOcultarInstitucion");
  institution.style.display = "none";
}
